%define name jabref
%define sname JabRef
%define version 2.10
%define release %mkrel 1

Name:		%{name}
Summary:	JabRef is an open source bibliography reference manager.
Summary(de):	JabRef ist ein quelloffener Bibliografiereferenzmanager.
Version:	%{version}
Release:	%{release}
Group:		Publishing
License:	GPL v2/LGPL v2/GPL v3
URL:		http://jabref.sourceforge.net/index.php
Source:		http://sourceforge.net/projects/jabref/files/jabref/{%version}/%{sname}-%{version}-src.tar.bz2/download/%{sname}-%{version}-src.tar.xz
BuildRequires:	apache-ant
BuildArch:	noarch

%description
JabRef is an open source bibliography reference manager. 
The native file format used by JabRef is BibTeX, the standard LaTeX bibliography format. 
JabRef runs on the Java VM (version 1.5 or newer), and should work equally well on Windows, 
Linux and Mac OS X.

%description -l de
JabRef ist ein quelloffenes Programm zur Verwaltung von bibliografischen Referenzen.
Das Standarddateiformat, welches von JabRef genutzt wird ist BibTeX, das Standard-
bibliografieformat von LaTeX. JabRef läuft unter der Java VM (Version 1.5 oder neuer)
und sollte unter Windows, Linux und Mac OS X funktionieren.

%prep
%setup -q -n %{name}-%{version}

%build
ant -buildfile build.xml

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}/%{name}
mkdir -p %{buildroot}/%{_miconsdir} \
	 %{buildroot}/%{_iconsdir} \
         %{buildroot}/%{_datadir}/pixmaps

# .jar file
install build/lib/%{sname}-%{version}.jar %{buildroot}%{_libdir}/%{name}/%{sname}-%{version}.jar

# icons
install -m 644 build/images/%{sname}-icon.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 build/images/%{sname}-icon-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 build/images/%{sname}-icon-48.png %buildroot/%_datadir/pixmaps/%{name}.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=JabRef
Comment=Bibliography reference manager
Comment[de]=Bibliografiereferenzmanager
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/pixmaps/%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Office;X-Mandriva-Office-Publishing;X-MandrivaLinux-Office-Publishing;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
cd %{_libdir}/%{name}
java -jar %{sname}-%{version}.jar
cd ..
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%doc src/txt/README src/txt/CHANGELOG src/txt/TODO src/txt/gpl2.txt src/txt/gpl3.txt src/txt/lesser.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}/%{sname}-%{version}.jar
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Mar 14 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 2.10-1pclos2014
- 2.10

* Sun Jan 13 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.9.2-1pclos2013
- 2.9.2

* Thu Jan 10 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.9.1-1pclos2013
- 2.9.1

* Sat Jul 07 2012 Neal <nealbrks0 at gmail dot com> 2.8.1-1pclos2012
- process

* Sat Jul 07 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.8.1-1pclos2012
- 2.8.1

* Wed May 16 2012 Neal <nealbrks0 at gmail dot com> 2.8-1pclos2012
- process

* Wed May 16 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.8-1pclos2012
- 2.8
- fixed doc line

* Thu May 10 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.7.2-1pclos2012
- initial import for PCLOS
